#[derive(Clone, PartialEq, Eq, Debug)]
pub enum TokenType {
    Variable(char),
    DefinitionName(String),
    Lambda,

    Period,
    Equals,
    Semicolon,

    LeftParen,
    RightParen,

    Eof,
    NoToken,
}

pub struct Token {
    pub line: usize,
    pub token_type: TokenType,
}

impl Token {
    pub fn new(token_type: TokenType, _lexeme: String, line: usize) -> Self {
        Self { line, token_type }
    }
}
